package app02c.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;

public class ProductForm extends ActionForm {
  private String productName;
  private String description;
  private String price;

  public String getProductName() {
    return productName;
  }
  public void setProductName(String productName) {
    this.productName = productName;
  }
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  public String getPrice() {
    return price;
  }
  public void setPrice(String price) {
    this.price = price;
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    ActionErrors errors = new ActionErrors();
    if (productName.equals("")) {
      errors.add("no.productName", new ActionMessage("no.productName"));	
    }
    if (description.equals("")) {
      errors.add("no.description", new ActionMessage("no.description"));	
    }
    if (price.equals("")) {
      errors.add("no.price", new ActionMessage("no.price"));	
    }
    return errors;
  }
}
